# Get a scan

Get a scan by ID.

Endpoint: GET /api/v2/scans/{scanId}
Version: 24.9.2.5
Security: ApiKeyAuth, Bearer

## Path parameters:

  - `scanId` (string, required)
    ID of the scan to get

## Response 200 fields (application/json):

  - `createdBy` (string)

  - `createdTime` (string)

  - `id` (string)

  - `languages` (array)

  - `message` (string)

  - `name` (string)

  - `parentAppId` (string)

  - `parentAppName` (string)

  - `scm` (object)

  - `scm.commit` (object)

  - `scm.commit.id` (string)

  - `stats` (object)

  - `stats.criticalSeverityFindingsCount` (integer)

  - `stats.dataFlowsCount` (integer)

  - `stats.duration` (string)

  - `stats.findingsCount` (integer)

  - `stats.highSeverityFindingsCount` (integer)

  - `stats.lowSeverityFindingsCount` (integer)

  - `stats.mediumSeverityFindingsCount` (integer)

  - `stats.testedFiles` (integer)

  - `stats.testedLines` (integer)

  - `stats.totalFiles` (integer)

  - `stats.totalLines` (integer)

  - `status` (string)

  - `versionFlag` (string)

## Response 400 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 403 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)

## Response 404 fields (application/json):

  - `message` (string)
    Example: "Something went wrong"

  - `result` (string)
    Example: "error"

  - `success` (boolean)


